-- registers a new fruitTypeCategory for earth fruits
function register()
    local categoryName = "ROOTCROPS"
    local fruitTypeCategoryIndex = g_fruitTypeManager:addFruitTypeCategory(categoryName, false)
    local fillTypeCategoryIndex = g_fillTypeManager:addFillTypeCategory(categoryName, false)
	
	print("registerFruitTypeCategory LUA: registered categoryName="..categoryName)
	

    for _, fruitTypeData in pairs(g_fruitTypeManager.fruitTypes) do
        if fruitTypeData ~= nil then
            local minPreparingGrowthState = fruitTypeData.minPreparingGrowthState
            local preparedGrowthState = fruitTypeData.preparedGrowthState
            local name = fruitTypeData.name
			
--			now checking if fruit has "<preparing...." tag specified. means theres HAULM effect, thus rootcrop
--			sugarcane has "<preparing...." tag specified HAULM, but is not earth/root crop, therefore excluded. 			
			-- print("checking: "..tostring(categoryName).." "..name.." minprep="..tostring(minPreparingGrowthState).." prep="..tostring(preparedGrowthState))

            if minPreparingGrowthState ~= -1 and preparedGrowthState ~= -1 and name ~= "SUGARCANE" then

                local fruitType = g_fruitTypeManager:getFruitTypeByName(name)

                if fruitType ~= nil then
                    if not g_fruitTypeManager:addFruitTypeToCategory(fruitType.index, fruitTypeCategoryIndex) or not g_fillTypeManager:addFillTypeToCategory(fruitType.fillType.index, fillTypeCategoryIndex) then
                        print("Warning: Could not add fruitType '" .. tostring(name) .. "' to fruitTypeCategory '" .. tostring(categoryName) .. "'!")
					else
						print("fruit added to fruitTypeCategory "..tostring(categoryName).." "..tostring(fruitType.index).." "..name)
					end
                else
                    print("Warning: FruitType '" .. tostring(name) .. "' not defined in fruitTypeCategory '" .. tostring(name) .. "'!")
                end
            end
        end
    end
end

BaseMission.loadMap = Utils.prependedFunction(BaseMission.loadMap, register)